
enum SIZE {
    //% block="29*29"
    1,
    //% block="58*58"
    2
}

enum LINE {
    //% block="1"
    1,
    //% block="2"
    2,
    //% block="3"
    3,
    //% block="4"
    4
}

enum BTN {
    //% block="A"
    A,
    //% block="B"
    B,
    //% block="A+B"
    AB
}

enum TP {
    //% block="D4"
    D4,
    //% block="D7"
    D7,
    //% block="A4"
    A4
}





//% color="#AA278D" iconWidth=50 iconHeight=40
namespace touchpin {
    // ... (其余的功能保持不变)

    //% block="读取触摸引脚[PIN]" blockType="reporter"
    //% PIN.shadow="number" PIN.defl=0
    export function readTouchValue(parameter: any, block: any){
        let pin = parameter.PIN.code;
        Generator.addCode(`touchRead(${pin})`);
    }

    //% block="读取触摸引脚[TOUCH_PIN]" blockType="reporter"
    //% TOUCH_PIN.shadow="dropdown" TOUCH_PIN.options="TP" TOUCH_PIN.defl="D4"
    export function readTouchPin(parameter: any, block: any): string {
        let pin2 = parameter.TOUCH_PIN.code;
	Generator.addCode(`touchRead(${pin2})`);
        
    }
   
}
